import java.util.*;

public class TestStats
{

	static String firsts[] = {"Bob", "Ted", "Alice"};
	static String lasts[] = {"Walker", "Williams", "Connel"};
	static int hits[] = {10, 20, 15};
	static int atBats[] = {20, 200, 125};

	public static void main(String args[])
	{
		Hashtable team = new Hashtable();
		for (int i=0; i<hits.length; i++)
		{
			Name name = new Name(firsts[i], lasts[i]);
			BattingAverage average =
				new BattingAverage(hits[i], atBats[i]);
			team.put(name, average);
		}
		for (int i=0; i<hits.length; i++)
		{
			Name name = new Name(firsts[i], lasts[i]);
			BattingAverage ave = (BattingAverage) team.get(name);
			if (ave == null)
				System.out.println(name + ": not found");
			else
				System.out.println(name + ": " + ave);
		}
	}
}
